<?php

if ( ! class_exists( 'PurduePostType' ) ) :
    require_once dirname( __FILE__ ) . '/base-cpt.php';
endif;

if ( ! class_exists( 'PurdueTipsCPT' ) ) :
	class PurdueTipsCPT extends PurduePostType {
        protected $slug = 'tips-of-the-week';
        protected $singular = 'Tip of the Week';
        protected $plural = 'Tips of the Week';
        protected $classicEditor = false;

        function __construct() {
            
            $names = array(
                'name'     => $this->slug,
                'singular' => __($this->singular, 'purdue'),
                'plural'   => __($this->plural, 'purdue'), 
                'slug'     => $this->slug,
            );

            $options = array( 
                'supports'              => array( 'title', 'thumbnail', 'revisions', 'editor' ),
                'taxonomies'            => array( 'tipcategory' ),
                'hierarchical'          => false,
                'public'                => true,
                'show_ui'               => true,
                'show_in_menu'          => true,
                'menu_position'         => 10,
                'menu_icon'             => 'dashicons-format-status',
                'show_in_admin_bar'     => true,
                'show_in_nav_menus'     => true,
                'can_export'            => true,
                'has_archive'           => false,
                'exclude_from_search'   => true,
                'publicly_queryable'    => true,
                'rewrite'               => false,
                'capability_type'       => 'post',
                'show_in_rest'          => true,
            );

            $labels = array(
                'add_new_item'          => __('Add Tip of the Week', 'purdue'),
                'add_new'               => __('Add New', 'purdue'),
                'new_item'              => __('New Tip', 'purdue'),
                'edit_item'             => __('Edit Tip', 'purdue'),
                'update_item'           => __('Update Tip', 'purdue'),
                'not_found'             => __('Not found', 'purdue'),
                'not_found_in_trash'    => __('Not found in Trash', 'purdue'),
            );


            // add_action( 'template_redirect', array($this, 'tip_redirects' ) );
            // add_filter( 'post_type_link', array( $this, 'replace_with_download'), 10, 2 );
            parent::__construct($names, $options, $labels);
            $this->add_tip_category_tax();
        }

        private function add_tip_category_tax() {
            $names = [
                'name' => 'tipcategory',
                'singular' => 'Tip Category',
                'plural' => 'Tip Categories',
                'slug' => 'tipcategory'
            ];

            $terms = array (
                array( 'term' => 'Writing', 'slug' => 'writing'),
                array( 'term' => 'Design', 'slug' => 'design'),
                array( 'term' => 'Social Media', 'slug' => 'social_media'),
                array( 'term' => 'Brand', 'slug' => 'brand'),
            );
        
            $this->add_taxonomy($names, array(), $terms);
        }
    
        public function template_redirects() {

            /*if ( get_post_type() === 'template' ) {
                $value = get_field( "asset_file" );

                if( $value ) {
                    wp_redirect(  $value  );
                    die;
                }
                
            }
            */
         
        }

        public function replace_with_download( $url, $post ) {
            // if ( 'template' == get_post_type( $post ) ) {
            //     $value = get_field( "asset_file" );

            //     if( $value ) {
            //         $url = $value;
            //     }
            // }
            // return $url;
        }

    }

    $PurdueTipsCPT = new PurdueTipsCPT();

endif;